Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84306 - VTswitching in console is broken while switched away from X
Summary: VTswitching in console is broken while switched away from X
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-02-14 08:01 UTC by Mike A. Harris
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-15 00:26:25 UTC


Attachments (Terms of Use)

Description Mike A. Harris 2003-02-14 08:01:59 UTC
The following CVS commit on Feb 10th, of CHANGELOG entry 864 has broken
VTswitching between VTs while switched away from the X server:
 
 865. Add private keysyms for the new XKB actions (XFree86 special keys),
      and move those actions to an XKB compatibility map.  This fixes
      side-effects (loss of auto-repeat and mousekeys functionality) of
      the way this was implemented previously (#5610, Ivan Pascal).
 
To reproduce:
 
1) Install XFree86 release from Feb 10th or later that has #865
 
2) startx
 
3) Switch away to any other VC with CTRL-ALT-Fn
 
4) Try to switch to another VC now other than the one the X
   server is running on.
 
 
Results:
 
The console switches only for a very short flash to the requested
console, then switches back.  You are effectively stuck on the
tty you've switched to, and can only switch back to the X server
itself.
 
 
Other info:
 
While switched away from the X server, if you kill the server,
then VT switching works again.
 
I have backed out the changes from that one commit, and the
problem is gone in build 20030212.0.

Comment 1 Mike A. Harris 2003-02-14 08:19:04 UTC
Oops, I mean it was reverted with XFree86-4.2.99.901-revert-xkb-patch-865.patch
in 20030211.3 and later.

The latest CVS snapshot applies a correct fix for this problem, so
I have removed the above patch, and this problem should be fixed
in build: XFree86-4.2.99.901-20030213.0

Setting bug to MODIFIED pending testing.

Comment 2 Mike A. Harris 2003-02-15 00:26:25 UTC
Confirmed.  Ivan's fix works.


Note You need to log in before you can comment on or make changes to this bug.